### Method

# Gio FileInfo get_symlink_target

#### Declaration

    const char*
    g_file_info_get_symlink_target (
      GFileInfo* info
    )

#### Description

Gets the symlink target for a given `GFileInfo`.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET`.

#### Return value

Type: `const char*`

A string containing the symlink target.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.